Subject: bug#1501: Emacs 22 loses undo buffer

From: "Emerick Rogul" <[email-masked]>
Date: Fri, 5 Dec 2008 11:51:12 -0500

Using Emacs 22 on Windows (emacs-version reports "GNU Emacs 22.3.1
(i386-mingw-nt5.1.2600)  of 2008-09-06 on SOFT-MJASON"):

Started emacs with emacs -q --no-site-file.  Opened a C header file
(foo.h) containing about 100-200 lines of code.  Deleted approximately
100 or so lines of code using C-k.  Pressed and held C-/ to undo the
deletions.  Instead of eventually seeing all of my deletions restored,
Emacs complained about "No further undo information" after undeleting
several lines of text.

This works as expected with Emacs 21.2.

Please let me know if I can provide any additional information.

Thanks,

-Emerick